PVIEWS3(1)

NAME
pviews3 - Python 3 Pyramid command

DESCRIPTION
usage: pviews3 [-h] [config_uri] [url] [config_vars ...]

Print, for a given URL, the views that might match. Underneath each potentially matching route, list the predicates required. Underneath each route+predicate set, print each view that might match and its predicates.

This command accepts two positional arguments: 'config_uri' specifies the PasteDeploy config file to use for the interactive shell. The format is 'inifile#name'. If the name is left off, 'main' will be assumed. 'url' specifies the path info portion of a URL that will be used to find matching views. Example: 'proutes myapp.ini#main /url'

  positional arguments:

config_uri
    The URI to the configuration file.

url The path info portion of the URL.

config_vars
    Variables required by the config file. For example, `http_port=%(http_port)s` would expect `http_port=8080` to be passed here.

  optional arguments:

-h, --help
    show this help message and exit